org.eclipse.emf.cdo.ui

## Class CDOInvalidRootAgent

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOInvalidRootAgent

- All Implemented Interfaces:
    java.util.EventListener, IListener

      public abstract class CDOInvalidRootAgent
      extends java.lang.Object
      implements IListener

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOInvalidRootAgent(CDOView view)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `closeUI()`
    `protected java.lang.Object` | `createEmptyRoot(CDOObject invalidRoot)`
    `void` | `dispose()`
    `protected abstract java.lang.Object` | `getRootFromUI()`
    `void` | `notifyEvent(IEvent event)`
    `protected abstract void` | `setRootToUI(java.lang.Object root)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOInvalidRootAgent

          public CDOInvalidRootAgent(CDOView view)

  - ### Method Detail

    - #### notifyEvent

          public void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### dispose

          public void dispose()

    - #### createEmptyRoot

          protected java.lang.Object createEmptyRoot(CDOObject invalidRoot)

    - #### getRootFromUI

          protected abstract java.lang.Object getRootFromUI()

    - #### setRootToUI

          protected abstract void setRootToUI(java.lang.Object root)

    - #### closeUI

          protected void closeUI()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html